<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");


$res = array();
$res1 = array();
$res2 = array();
$res3 = array();
$res4 = array();
$res5 = array();

$sql = "SELECT id, elemento, codigo, descripcion, diagrama, color FROM adm_tipos WHERE 1";
$resultado = mysqli_query($con,$sql);

if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                'id'=>$row["id"],
                'elemento'=>$row["elemento"],
                'codigo'=>$row["codigo"],
                'descripcion'=>$row["descripcion"],
                'diagrama'=>$row["diagrama"],
                'color'=>$row["color"]
            );
            array_push($res1, $elem);
		}
        array_push($res,$res1);
}
}	

$sql = "SELECT id, elemento, codigo, descripcion, diagrama, id_tipo, color FROM adm_clases WHERE 1";
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                'id'=>$row["id"],
                'elemento'=>$row["elemento"],
                'codigo'=>$row["codigo"],
                'descripcion'=>$row["descripcion"],
                'diagrama'=>$row["diagrama"],
                'id_tipo'=>$row["id_tipo"],
                'color'=>$row["color"]
            );
            array_push($res2, $elem);
		}
        array_push($res,$res2);
}
}


$sql = "SELECT id, nombre, descripcion FROM adm_contratos WHERE 1";
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                'id'=>$row["id"],
                'nombre'=>$row["nombre"],
                'descripcion'=>$row["descripcion"]
            );
            array_push($res3, $elem);
		}
        array_push($res,$res3);
}
}


$sql = "SELECT id, nombre, descripcion FROM adm_proyectos WHERE 1";
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                'id'=>$row["id"],
                'nombre'=>$row["nombre"],
                'descripcion'=>$row["descripcion"]
            );
            array_push($res4,$elem);
		}
        array_push($res,$res4);
}
}


$sql = "SELECT padron, lat, lon, descripcion FROM padrones_sin_conexion WHERE 1";
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                'padron'=>$row["padron"],
                'lat'=>$row["lat"],
                'lon'=>$row["lon"],
                'descripcion'=>$row["descripcion"]
            );
            array_push($res5,$elem);
		}
        array_push($res,$res5);
}
}



mysqli_close($con);
echo json_encode($res);
?>



